Need More Info Scene Editor Sprite sheets generate errors when running modding kit

Users who are viewing this thread

Version number
1.1.5
Branch
Main
Modded/unmodded
Modded

takeoshigeru

Regular
I have a sprite sheet defined like that:
XML:
<?xml version="1.0" encoding="UTF-8"?>
<SpriteData>
  <SpriteCategories>
    <SpriteCategory>
      <Name>ui_mploading</Name>
      <SpriteSheetCount>123</SpriteSheetCount>
      <!-- ... -->
      <SpriteSheetSize ID="43" Width="1920" Height="1080" />
      <!-- ... -->
      <AlwaysLoad />
    </SpriteCategory>
  </SpriteCategories>
  <SpriteParts>
    <!-- ... -->
    <SpritePart>
      <SheetID>43</SheetID>
      <Name>crpg_battle_onomasticon</Name>
      <Width>1920</Width>
      <Height>1080</Height>
      <SheetX>0</SheetX>
      <SheetY>0</SheetY>
      <CategoryName>ui_mploading</CategoryName>
    </SpritePart>
    <!-- ... -->
  </SpriteParts>
  <Sprites>
    <!-- ... -->
    <GenericSprite>
      <Name>crpg_battle_onomasticon</Name>
      <SpritePartName>crpg_battle_onomasticon</SpritePartName>
    </GenericSprite>
    <!-- ... -->
  </Sprites>
</SpriteData>
Whenever I open the modding kit and enable my singleplayer module, I'll get 3 error popups by sprite part (so more than 300). It complains about not finding the asset source ui_mp_loading_43. These assets are actually compiled into a tpac and I don't need the source in the editor because they are just used in the map loading screen so is it possible to disable these errors?

49eb4a1b-0b47-4dec-b91e-75ec2f271865
 
Could you try this? This is what i got back from the developers.
"You can remove the "AlwaysLoad" tag from the "mploading" category and let it load along with original "mploading" sprites so its not forced to load at start. Also mploading_43 might actually be missing from resources so you may want to double check if its properly loaded."
 
Back
Top Bottom